Bug 1157881 (CVE-2014-7814)

Summary: CVE-2014-7814 CFME: REST API SQL Injection
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abellott, apatters, bdunne, chazlett, dajohnso, dclarizi, gmccullo, jfrey, jprause, jrafanie, jrusnack, jvlcek, kseifried, obarenbo, security-response-team, xlecauch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
It was found that CloudForms 4 exposed SQL filters via the REST API without any input escaping. An authenticated user could use this flaw to perform SQL injection attacks against the CloudForms Management Engine database.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-14 20:40:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1157883, 1157884    
Bug Blocks: 1157882    

Description Kurt Seifried 2014-10-27 23:56:02 UTC
Aaron Patterson of Red Hat reports:

If the REST API is going to support a filter, that should be converted to an 
ActiveRecord where clause - where it should be safer.  In general, it would be 
good to understand why we offer SQL filters on the REST API because I do not 
think they should be exposed.

Comment 2 Kurt Seifried 2015-01-08 16:01:41 UTC
Acknowledgement:

This issue was discovered by the Red Hat CloudForms Team.

Comment 3 errata-xmlrpc 2015-01-14 19:42:27 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.3

Via RHSA-2015:0028 https://rhn.redhat.com/errata/RHSA-2015-0028.html